<mat-toolbar color="primary">
    <div>Create new account</div>
</mat-toolbar>
<form [formGroup]="newUserForm" class="form-register" #formDir="ngForm">
    <div class="mat-h1">Account</div>
    <div class="mat-h3">Already a member ? <button type="button" mat-button color="primary" (click)="dialog.openSignIn()">Sign-in !</button></div>
    <mat-form-field appearance="outline" class="form-input">
        <mat-label>Your username</mat-label>
        <input matInput required formControlName="username" name="mlm-username">
        <mat-hint>At least 4 characters</mat-hint>
        <mat-error *ngIf="usernameInput.errors?.required">You must enter an username</mat-error>
        <mat-error *ngIf="usernameInput.errors?.minlength">Your username must be at least 4 characters long</mat-error>
    </mat-form-field>
    <mat-form-field appearance="outline" class="form-input">
        <mat-label>Your password</mat-label>
        <input matInput required formControlName="password" type="password">
        <mat-hint>At least 8 characters</mat-hint>
        <mat-error *ngIf="passwordInput.errors?.required">You must enter an password</mat-error>
        <mat-error *ngIf="passwordInput.errors?.minlength">Your password must be at least 8 characters long</mat-error>
    </mat-form-field>
    <mat-form-field appearance="outline" class="form-input">
        <mat-label>Verify password</mat-label>
        <input matInput required formControlName="passwordCheck" type="password">
        <mat-hint>Retype your password</mat-hint>
        <mat-error *ngIf="passwordCheckInput.errors?.required">You must verify your password</mat-error>
        <mat-error *ngIf="passwordCheckInput.errors?.compare">Verification differs from password</mat-error>
    </mat-form-field>
    <div class="form-actions">
        <button type="submit" mat-button color="primary" [disabled]="newUserForm.invalid" (click)="onSubmit()">Register</button>
        <button type="button" mat-button color="accent" (click)="formDir.resetForm({})">Reset</button>
    </div>
</form>